Issue 100913 - opening a presentation takes 3x longer compared to 3.0
Summary: opening a presentation takes 3x longer compared to 3.0
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: open-import (show other issues)
Version: OOO310m9
Hardware: Unknown All
: P3 Trivial with 7 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-07 11:07 UTC by holgerbrandl
Modified: 2013-08-07 15:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description holgerbrandl 2009-04-07 11:07:47 UTC
Using the current release candidate of OOo3.1 I've observed a major drop in
file-opening performance when using Impress. 

Although I haven't done any statistical analysis, the time to open a
presentation containing 49 very simple text slides has at least tripled! Here's
my benchmark file:
http://archive.opencards.info/contrib/lang/english1.odp

I've also tried other Impress presentations, and the performance drop is
consistent for all of them (3x longer loading times compared to 3.0.1). And even
worse, the rendering of the preview sidepane seems to take significantly longer
too (something around a second).

I think that when using a core2duo with 2gb ram as I do, a small
text-presentation should open almost instantly. Fyi, it does when using ms
powerpoint 2007. 

This seems to be a major regression and should be IMHO fixed before 3.1 final.
Comment 1 wolframgarten 2009-04-07 11:35:34 UTC
With your testfile I have only a small difference of about 1 second that the 3.1
version needs more.
Reassigned.
Comment 2 holgerbrandl 2009-04-07 23:04:00 UTC
Because OpenOffice 3.0 opened the file in less than a second (at least for me),
an increment of a second seems to be a quite serious performance drop.
Comment 3 groucho266 2009-04-08 09:02:55 UTC
@cl: I think file opening is more your area of expertise.  Please have a look.
Comment 4 clippka 2009-04-16 09:43:20 UTC
@cl->aw: for your consideration...
Comment 5 Armin Le Grand 2009-04-16 10:28:05 UTC
AW: I compared Your document on WIN32 with:
(A) DEV300 m29, no primitives, as 3.0
(B) OOO310 m7
without getting big differences, neither in loading nor in showing. I tripled
the slides (to 150) to get a more measurable result. There might be a slight
slowdown in 3.1 (which should vanish with #i101016#), but nothing dramatic. I
did not measure with any tools, but just counted seconds silently.

In no case can i see something dramatic like '3x longer' as You describe. This
would probably be considered a showstopper, but this is in no way the case.
Comment 6 johnpercival 2009-05-22 08:49:10 UTC
I'd like to add a vote for this issue - I was using 3.0 for a long time and
noticed a dramatic slowdown when I updated to 3.1, when loading presentations.
It's a big problem with an extension like OpenCards (http://www.opencards.info/)
which involves loading a number of presentations one-after-another. Please could
someone review this as I'm thinking seriously of going back to 3.0 if the
problem is not identified and fixed. Thanks, John
Comment 7 mbackus 2009-05-23 15:48:49 UTC
As far as I'm concerned, Impress has always taken way too long to open files
with large numbers of slides that only have text. I'd like to see this issue
taken seriously, and I'm disappointed to see that OpenOffice.org has take a step
back. If fixed, it would make Impress (combined with OpenCards) the single most
effective tool for memorizing information available anywhere. As it is, I think
many people will be turned off from using the program only because of the slow
start time. To see how big a problem this can become, try opening my Spanish.odp
file which has a couple thousand slides, but is only 106KB (seems like the small
size would mean that it could almost be opened instantly). File is available at
http://www.mbackus.com/Spanish.odp
Comment 8 millerrobe 2009-09-14 15:55:25 UTC
I'll add my vote to this problem. OO3.1 is slower to load a PowerPoint file than
2.4.3 (although not by much), noticeably slower to render the preview pane, and
simply unacceptable (multiple seconds, up to 5) when switching between slides by
clicking the preview pane. The switch is nearly instantaneous using 2.4.3. 

 
Comment 9 millerrobe 2009-09-14 19:12:55 UTC
I should add that the long delay when selecting a slide from the preview pane is
present in the Linux version, but not Windows. There is one slide in this deck
that really causes problems for 3.1 and 3.2 Dev on Linux: it takes 10 seconds
for the slide to be displayed after a click in the preview pane. On Windows it
takes 2 seconds; OO 2.4.3 on Linux is only 1/2 second for the same slide. Other
slides in the deck take about 2 seconds to render when running 3.1 (3.2) on
Linux; again, the switch is nearly instantaneous on 2.4.3.

Sorry I can't post this file -- not allowed.
Comment 10 thorsten.ziehm 2009-11-05 10:38:42 UTC
OOo 3.2 is in show-stopper mode. If this issue is critical for the release,
please set target back. Otherwise the target will be changed to OOo 3.x now.
Comment 11 Rob Weir 2013-07-30 02:40:00 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.